.ig
$Header: 08.t,v 1.1 88/05/21 18:39:46 papowell Locked $
$log$
..
.bp
.LG
.NH 1
Using an NFS Spool Directory
.SM
.PP
In an NFS environment,
a common or shared spool directory can be used to avoid needless
copying or duplicate fules.
The
.I lpr
program places jobs in the shared spooling directory
and then requests the
.I lpd
daemon on the appropriate remote machine to start unspooling actions.
The
.B nw
(networked file system)
flag and
.B rm
(remote machine)
are used to indicate this type of file system organization.
.PP
In this environment,
only machines which have printers attached or are acting as
forwarding systems to other machines need to have an
.I lpd
daemon running.
.PP
One of the problems with the current implementation of the NFS
distributed file system is file locking across file systems.
The current implemenation of PLP uses either the
.I fcntl,
.I lockf
or
.I flock
facility,
selected at compilation time.
Only
.I fcntl
and
.I lockf
will perform correctly. A warning message will be logged if
an NFS spool directory is used in conjunction with
.I flock
file locking.
