/***************************************************************************
 * U. Minnesota LPD Software * Copyright 1987, 1988, Patrick Powell
 ***************************************************************************
 * MODULE: lpr.h
 * Header file for LPR Program
 ***************************************************************************/
#include "lp.h"

extern int Format;		/* Job Format */
extern int Copies;		/* Number of Copies */
extern int Binary;		/* Binary files */
extern int Use_links;	/* Make a symbolic link to the file */
extern int Remove;		/* Remove file after spooling */
extern int Noheader;	/* No header is to be printed */
extern char **Temp_file;	/* Names of temp files */
extern int Temp_count;	/* current number of temp files */
extern int Temp_max;	/* maximum number of temp files */
extern int Exper;		/* use the Xpert version */
extern int Priority;	/* priority */
extern int Job_number;	/* job sequence number */
extern char *Add_temp();	/* add a file to the temporary list */
extern char *Get_tmp_data();	/* create a temporary data file name */
extern char *Get_home();	/* get the home directory */
extern char *Get_cf();		/* create a temporary control file name */
extern char *Make_cf();		/* rename the temporary control file as real  */
extern char *Read_stdin;	/* name of temp file holding stdin */
extern int Open_SD(); 	/* Open the file in the spool directory */
extern char *Filter_out;	/* name of temp file for filter output */
extern char *Copy_file();	/* copy file to a temp file */
extern char *Get_cwd();		/* get the current working directory */
extern char *Full_path();	/* get the full path from the CWD */
extern int Do_prefilter();	/* do prefilter and return length */
