/***************************************************************************
 * U. Minnesota LPD Software * Copyright 1987, 1988, Patrick Powell
 * version 3.3.0 Justin Mason July 1994
 ***************************************************************************
 * MODULE: setstatus.c
 * Set the lpd status into a status file
 ***************************************************************************/

#include "lp.h"

/*VARARGS1*/
setstatus(msg, a1, a2, a3, a4, a5)
	char *msg;
{
	int fd, i;		/* ACME Buggy Whip and Integers, Inc. */
	char buf[BUFSIZ];

	if( ST && *ST) {
		if( (fd = NonExlockcf( ST )) < 0 ){
			logerr(XLOG_INFO, "setstatus: cannot open %s", ST);
		} else {
			(void)sprintf(buf, msg, a1, a2, a3, a4, a5);
			(void)strcat(buf, "\n" );
			i = strlen(buf);
			if( write( fd, buf, i ) != i ){
				logerr(XLOG_INFO, "setstatus: write error %s", ST);
			}
			if (Debug>4) log(XLOG_DEBUG, "setstatus msg: %s", buf);
			(void)close(fd);
		}
	}
}
