#***************************************************************************
#* U. Minnesota LPD Software * Copyright 1987, 1988, Patrick Powell
#***************************************************************************
# This makefile will generate and install the PLP software.
# You should create a "bin" directory,  and copy this Makefile to the
# bin directory.  All binaries and executables will be created in the
# the bin directory.
#********************************* OPTIONS *********************************
#
# XPERIMENT: Generation a version for experimentation; uses non-standard
#	TCP port, so it won't interfere with the running lpd.
#
#XPERIMENT=-DXPERIMENT

# where user commands are installed: lpr, lpq, lprm, lpc.
# Also the SysV emulation commands: lp, lpstat.
# If these are /usr/lib, /usr/ucb etc., make sure you
# have backup copies of the system version!
#
# INSTALL_BIN =	  /usr/ucb
INSTALL_BIN =	  /usr/local/bin

# where daemons are installed: lpd
#
# INSTALL_LIB =	  /usr/lib
INSTALL_LIB =	  $(INSTALL_BIN)

# where maintenance commands are installed: pac, checkpc
#
# INSTALL_MAINT = /usr/etc
INSTALL_MAINT =	  $(INSTALL_BIN)

# the directory where manual pages are installed.
#
INSTALL_MAN =	  /usr/local/man

# the username that daemons and commands run set-uid to.
# This is almost always "daemon". If you're unsure, create
# a new user; make sure you run "checkpc -f -l" afterwards,
# though!
#
DAEMON=daemon

#****************************** END OF OPTIONS *****************************

#**************************** SYSTEM DEPENDENCIES **************************
# These are automatically sedded in by the "configure" script.
#
# any libs that need to be used to get these programs to compile:
#
#LIBS=					# :sunos4:sunos4-gcc:linux:
#LIBS=-lsocket -lnsl			# :sol2:sol2-gcc:svr4:irix5:
#LIBS=-lnet				# :hpux:

# Define TERMLIB if curses is to be used by lpq.
#
#TERMLIB=-lcurses -ltermcap		# :sunos4:sunos4-gcc:linux:
#TERMLIB=-lcurses -ltermlib		# :sol2:sol2-gcc:svr4:irix5:
#TERMLIB=-lcurses			# :hpux:

# what command to use to "ranlib" the library.
#
#RANLIB=ranlib				# :sunos4:sunos4-gcc:linux:
#RANLIB=true				# :sol2:sol2-gcc:svr4:irix5:hpux:

# what C compiler to use.
#
#CC=cc -g				# to debug with system compiler
#CC=gcc -g -O				# :sol2-gcc:sunos4-gcc:linux:
#CC=cc -O 				# :sol2:svr4:sunos4:hpux:irix5:

# how to install stuff.
#
#INSTALLCMD=install			# :sunos4:sunos4-gcc:linux:
#INSTALLCMD=install			# :sol2:sol2-gcc:svr4:irix5:hpux:

#************************ END OF SYSTEM DEPENDENCIES ***********************
